List compliance portals
get
https://api.expiryedge.com/v1/getPortalsany role (admin, editor or viewer)60/min
Request
curl 'https://api.expiryedge.com/v1/getPortals' \
-H "Authorization: Bearer $EXPIRYEDGE_API_KEY"Response
{
"success": true,
"portals": [
{
"id": "prt_5Vb1nK",
"name": "Northwind Dental - Vendor Compliance",
"description": "Current licenses and insurance certificates for Northwind Dental.",
"client_name": "Northwind Dental",
"client_email": "priya@northwinddental.example",
"expiry_ids": [
"exp_4Tq9sLm2",
"exp_8Jd3kQw1"
],
"link_expires_at": "2026-12-31T23:59:59.000Z",
"organization_id": "org_northwind",
"created_by": "u_71bXq",
"access_token": "0f5c2a8e-6d4b-4e3a-9c1f-7b2d8e9a3c41",
"has_password": true,
"is_active": true,
"view_count": 12,
"last_viewed_at": "2026-09-26T09:12:00.000Z",
"created_at": "2026-09-01T10:00:00.000Z",
"updated_at": "2026-09-27T14:05:00.000Z"
}
]
}Returns all of the organization's portals (including access_token), newest first. Unbounded.
200
Portals, newest first.
successbooleanportalsarray of objects
400 | The request is missing required fields or contains invalid values. |
401 | Missing, expired or invalid bearer token. |
429 | Too many requests for this endpoint from your IP. Wait Retry-After seconds. |
500 | Unexpected server error. Retry later; quote requestId to support. |
